[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# DumpExceptionBacktrace

Create backtrace

## Declaration

Source position: systemh.inc line 1525

`procedure DumpExceptionBacktrace(`
`var f: text`
`);`

## Description

DumpExceptionBackTrace writes a backtrace of the current exception to the file f. If no exception is currently being raised, nothing is written. As much frames as available are written. If debug info is available, then file names and line numbers will be written as well.

## Errors

No check is done to see whether f is opened for writing.

## See also

dump_stack |  | Dump stack to the given text file.